#!/bin/sh

export BORG_PASSPHRASE=$(cat /root/.borgpass)

{{ borgpath.stdout }} \
    {{ item.job | trim }} \
    >>{{ borgc_log_dir }}/borgbackup 2>&1

[ $? -eq 0 ] && NOTIFY="true"

# Call some external notification system of sorts when all is well
if [ "$NOTIFY" ]; then
    {{ item.notify | default(':') }}
fi
